# Interface methods for submodule: ScalarConnectedComponentImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ConnectedComponentImageFilterProxy as _ConnectedComponentImageFilterProxy


# Interface methods for class: ScalarConnectedComponentImageFilter
class ScalarConnectedComponentImageFilterProxy(_ConnectedComponentImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetDistanceThreshold(self, thresh: int) -> None:
		""""""
		...

	def GetDistanceThreshold(self) -> int:
		""""""
		...

